{if isset($blog_entry)}
	<div class="media ia-item blog-entry">
		<p class="ia-item-date">{lang key='posted_on'} {$blog_entry.date_added|date_format:$config.date_format}</p>

		{if $blog_entry.image}
			<div class="ia-item-image">{printImage imgfile=$blog_entry.image fullimage=true title=$blog_entry.title}</div>
		{/if}

		<div class="ia-item-body">{$blog_entry.body}</div>

		<hr>
		<!-- AddThis Button BEGIN -->
		<div class="addthis_toolbox addthis_default_style">
			<a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
			<a class="addthis_button_tweet"></a>
			<a class="addthis_button_pinterest_pinit"></a>
			<a class="addthis_button_google_plusone" g:plusone:size="medium"></a>
			<a class="addthis_counter addthis_pill_style"></a>
		</div>
		<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=xa-5170da8b1f667e6d"></script>
		<!-- AddThis Button END -->
	</div>

	{ia_blocks block='comments'}
{else}
	{if $blog_entries}
		<div class="ia-items blogroll">
			{foreach $blog_entries as $one_blog_entry}
				<div class="blogroll__item">
					{if $one_blog_entry.image}
						<a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" class="blogroll__item__image">{printImage imgfile=$one_blog_entry.image class='media-object' title=$one_blog_entry.title fullimage=true}</a>
					{/if}

					<div class="blogroll__item__header">
						<p class="date">{$one_blog_entry.date_added|date_format:$config.date_format}</p>
						<h4><a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" id="blog_{$one_blog_entry.id}">{$one_blog_entry.title}</a></h4>
					</div>
					<div class="ia-item-body">{$one_blog_entry.body|strip_tags|truncate:$config.blog_max_block:'...'}</div>
					<a href="{$smarty.const.IA_URL}blog/{$one_blog_entry.id}-{$one_blog_entry.alias}" class="read-on"><i class="icon-eye-open"></i></a>
				</div>
			{/foreach}
		</div>

		{navigation aTotal=$pagination.total aTemplate=$pagination.template aItemsPerPage=$config.blog_number aNumPageItems=5}
	{else}
		<div class="alert alert-info">{lang key='no_blog_entries'}</div>
	{/if}
{/if}