$(document).ready(function($)
{
	if($('.sticky-navbar').length) {
		var $window = $(window),
			$navbar = $('.section--navigation'),
			$body = $('body'),
			navbarHeight = $navbar.outerHeight(),
			navbarPos = $navbar.position();

		$window.scroll(function () {
			if($window.scrollTop() >= (navbarPos.top + navbarHeight)) {
				$navbar.addClass('navigation-sticky');
				$body.css('padding-top', navbarHeight);
			} else {
				$navbar.removeClass('navigation-sticky');
				$body.removeAttr('style');
			}
		});
	}

	$('.read-on').hover(function() {
		$(this).addClass('animated rubberBand');
	}, function() {
		$(this).removeClass('animated rubberBand');
	});

	$('.nav-toggle').on('click', function(e)
	{
		e.preventDefault();
	});

	$('.m_login .dropdown-menu, .m_login .dropdown-menu input, .m_login .dropdown-menu label, .m_login .dropdown-menu a').click(function(e)
	{
		e.stopPropagation();
	});
});